gutenprint (5.3.3-1) unstable; urgency=low

  * New 5.3.3 upstream release
  * Convert from gbp dbm to debrebase
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Sep 2019 18:04:50 +0200

gutenprint (5.3.1-7) unstable; urgency=medium

  * Launch cups-genppdupdate -x in printer-driver-gutenprint postinst to
    make sure PPDs are upgraded accross major versions
    (Closes: #918726, #790045)
  * Add 3 missing symbols in libgutenprintui2-2

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Jan 2019 08:51:17 +0100

gutenprint (5.3.1-6) unstable; urgency=medium

  * Run tests with custom verbose log driver (Closes: #868743)

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Dec 2018 20:28:23 +0100

gutenprint (5.3.1-5) unstable; urgency=medium

  * Migrate 5.3 to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Dec 2018 12:08:35 +0100

gutenprint (5.3.1-4) experimental; urgency=medium

  * Add missing Build-Depends: (Closes: #915153)
    - Any: byacc
    - Indep: docbook-utils and doxygen; add d/rules toggle

 -- Didier Raboud <odyx@debian.org>  Sat, 01 Dec 2018 12:45:29 +0100

gutenprint (5.3.1-3) experimental; urgency=medium

  * Packaging cleanup to permit building twice (Closes: #910547)
    - Cleanup d/control with `cme fix dpkg-control`
    - Mirror doc/developer/cleanwarnings.pl from upstream
    - Make sure to build documentation from scratch: use
      '--enable-maintainer-mode' configuration flag
    - List (some) pre-built files in debian/clean

  * Minor d/copyright cleanup

 -- Didier Raboud <odyx@debian.org>  Sat, 01 Dec 2018 02:11:16 +0100

gutenprint (5.3.1-2) experimental; urgency=medium

  * Update patch following upstream's route:
    - libgutenprintui: Need to increment current_interface, not reset
      binary_age

 -- Didier Raboud <odyx@debian.org>  Sun, 30 Sep 2018 17:23:44 +0200

gutenprint (5.3.1-1) experimental; urgency=low

  * New upstream version 5.3.1
  * Backport upstream patches neede for gcc8:
    - Fix format warning
    - Need to increment current_interface as well as binary_age.
    - backend: Fix a compile warning that popped up on Debian 9
  * Add another patch to cancel SONAME rewind:
    - libgutenprintui: Need to reset binary_age

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Sep 2018 10:34:15 +0200

gutenprint (5.3.0~pre1-3) experimental; urgency=medium

  [ Didier Raboud ]
  * Bump S-V to 4.1.4 without changes needed
  * Drop end-of-line whitespace
  * Rewrite debian/copyright thanks to `cme update dpkg-copyright`

  [ Nicolas Boulenguez ]
  * Rewrite ARCH_OS-different installation to avoid the use of debhelper's --ignore
    (Closes: #895659)

 -- Didier Raboud <odyx@debian.org>  Mon, 16 Apr 2018 22:35:58 +0200

gutenprint (5.3.0~pre1-2) experimental; urgency=medium

  * Merge unstable's 5.2.13-2

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 15:58:23 +0100

gutenprint (5.3.0~pre1-1) experimental; urgency=medium

  * New upstream version 5.3.0~pre1; upload to experimental

  * New packages:
    - Bump libgutenprint SONAME version from 2 to 9
    - Bump libgutenprintui2 SONAME version from 1 to 2
    - Split libgutenprint9's arch:all material in libgutenprint-common
  * Packaging cleanup:
    - Drop dh-autoreconf and autotools-dev B-D and dh options, as they're
      called by default in dh 10
    - Bump S-V to 4.1.1 without changes needed
    - Enable hardening=+all
    - Drop the XS-Testsuite field added automagically now
    - Update Vcs-* and debian/watch URLs to https variants
    - Add libgutenprint9 and libgutenprintui2-2 symbol files
    - Drop now-unused lintian override in p-d-gutenprint
    - Drop debian/source/local-options
    - Add source lintian-overrides for the two rightful menu.js files
    - Drop asterisk-based bulleted-list in NEWS
    - Fix debian/watch to match better on the available versions

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Nov 2017 14:16:06 +0100

gutenprint (5.2.13-2) unstable; urgency=medium

  * Fix debian/watch to match better on the available versions
  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Drop source/local-options

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 15:36:20 +0100

gutenprint (5.2.13-1) unstable; urgency=medium

  * New upstream version 5.2.13
  * Bump S-V to 4.0 without changes needed
  * Delete obsolete update-patch-series target from debian/rules
  * Drop all postinst code managing versions before the current oldstable
    (jessie, 5.2.10-3)
  * Migrate to debhelper compat 10

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Jul 2017 22:28:26 +0200

gutenprint (5.2.13~pre1-1) experimental; urgency=low

  * New upstream version 5.2.13~pre1

 -- Didier Raboud <odyx@debian.org>  Mon, 19 Jun 2017 08:48:18 +0200

gutenprint (5.2.12-2) unstable; urgency=low

  * Migrate 5.2.12 to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 17:07:20 +0200

gutenprint (5.2.12-1) experimental; urgency=medium

  * New upstream version 5.2.12

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Jan 2017 10:42:51 +0100

gutenprint (5.2.12~pre4-1) experimental; urgency=medium

  * New upstream version 5.2.12~pre4

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Nov 2016 18:52:21 +0100

gutenprint (5.2.12~pre3-1) experimental; urgency=medium

  * New upstream version 5.2.12~pre3
  * Drop cherry-picks from upstream
  * Fix libgutenprint-doc developer's doc-base

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Oct 2016 09:21:45 +0200

gutenprint (5.2.12~pre2-2) experimental; urgency=medium

  * Upstream removed ijsgutenprint driver, drop corresponding packaging
    infrastructure
  * Upstream removed the foomatic data generator, drop corresponding packaging
    infrastructure
  * Cherry-pick two upstream commits to fix dynamic modules' compilation:
    - Fix inverted tests that broke module loads.
    - We shouldn't enable modules when --with-modules=no or =static

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Sep 2016 15:25:30 +0200

gutenprint (5.2.12~pre2-1) experimental; urgency=medium

  * New upstream version 5.2.12~pre2

  * Initialize git-dpm
  * Bump Standards-Version to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Sep 2016 12:14:36 +0200

gutenprint (5.2.11-1) unstable; urgency=medium

  * New 5.2.11 upstream release
  * Update uversionmangle in debian/watch to take -pre* account numbers
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Feb 2016 15:18:51 +0100

gutenprint (5.2.11~pre2-1) experimental; urgency=medium

  * New 5.2.11~pre2 upstream release
  * Bump Standards-Version to 3.9.6 without changes needed
  * Drop cups-driver-gutenprint transitional package, that was transitional in
    oldstable
  * Fix 'find' call to use the new '-perm /xxx' syntax (Closes: #803025)

 -- Didier Raboud <odyx@debian.org>  Tue, 27 Oct 2015 18:43:03 +0100

gutenprint (5.2.11~pre1-1) experimental; urgency=low

  * New 5.2.11~pre1 upstream release
  * In autopkgtest, only test the first printer listed in Gutenprint's
    Supported printers page (Closes: #785648)
  * Add gbp.conf to cope with the new branch names

 -- Didier Raboud <odyx@debian.org>  Sun, 09 Aug 2015 14:43:08 +0200

gutenprint (5.2.10-3) unstable; urgency=medium

  * Add autopkgtest suite that tests all drivers using cups-client's
    test-drivers utility
  * On upgrade, remove driver update timestamp in cups' trigger cache to
    ensure all earlier printers are refreshed (Closes: #749600)

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Jun 2014 19:31:46 +0200

gutenprint (5.2.10-2) unstable; urgency=medium

  * Add Pre-Depends against dpkg-dev for dir_to_symlink support
    (Closes: #749931)

 -- Didier Raboud <odyx@debian.org>  Sun, 01 Jun 2014 15:29:31 +0200

gutenprint (5.2.10-1) unstable; urgency=medium

  * New 5.2.10 final upstream release

  * Fix drivers listing by re-introduction --libdir as well as the specific
    dh_makeshlibs and dh_shlibdeps calls, unfortunately dropped in the
    packaging cleanup
  * Fix ppd-updater trigger installation
  * Drop the upstream patch to fix the usb backend crash; was from upstream
  * Rework the /doc/ directories symlinks

 -- Didier Raboud <odyx@debian.org>  Wed, 28 May 2014 13:45:00 +0200

gutenprint (5.2.10~pre2-2) unstable; urgency=medium

  * Fix printer-driver-gutenprint installation of common files on Linux
    (Closes: #748761)
  * Adopt package from Roger, replace him as Uploader, with many thanks for his
    past work! (Closes: #479397)

 -- Didier Raboud <odyx@debian.org>  Thu, 22 May 2014 08:08:54 +0200

gutenprint (5.2.10~pre2-1) unstable; urgency=low

  * Team upload

  * New upstream release
     o Added a unified CUPS backend to support selected dye sublimation
       printers.
     o Added support for many new Epson and Canon inkjets and for many dye
       sublimation printers. Support for new Canon inkjets mostly experimental.
     o Improved support for many already supported dye sublimation printers.
     o Corrected page dimensions for borderless printing with Canon
       printers.
     o Added duplex support for the EPSON WorkForce 645.
     o Expanded printable area at the bottom of the page for the Epson
       Stylus Pro 3800 and 3880.
     o Added IEEE1284 device IDs for many Epson and Canon inkjets
       (LP: #1248303), monochrome laser printers of all manufacturers, and dye
       sublimation printers of all manufacturers.
     o Added Catalan, Turkish, and Vietnamese translations.

  [ Didier Raboud ]
  * Simplify buildsystem to make use of recent debhelper features
  * Let printer-driver-gutenprint only depend on perl-base through dh_perl -p
  * Only build-depend on libusb-1.0-dev on !hurd-any as it's not available there
  * Add patch to avoid running the insanely long test-rastertogutenprint
    build-test that makes sbuild timeout
  * Build-depend and use dh_autoreconf to make the latest patches useful
  * Drop Section redundancy in printer-driver-gutenprint
  * Correct the lintian warning and the dh_fixperms call around gutenprint52+usb
  * Import a bunch of Ubuntu changes, thanks to Till Kamppeter.

  [ Till Kamppeter ]
  * Replace the printer-driver-gutenprint postinst with a ppd-updater trigger.
    Update the PPD files of all already existing print queues using this driver
    when updating this package. In contrary to Gutenprint's own
    cups-genppdupdate, the script of the cups package can also migrate PPD
    files. In our case we migrate Foomatic/IJS PPD files to the equivalent PPDs
    using the CUPS Raster driver of Gutenprint and we replace simplified PPD
    files by the corresponding standard PPDs, as we discontinue the simplified
    PPDs in Ubuntu to reduce the delta to Debian and to make printer
    model/driver listings in printer setup tools less cluttered.
  * Replaced dependency of printer-driver-gutenprint on ghostscript-cups by
    "cups-filters (>= 1.0.36) | ghostscript-cups (<< 9.08)" as Ghostscript's
    CUPS filters moved to cups-filters from cups-filters 1.0.36/Ghostscript
    9.08 on.
  * Add two configure flags to avoid depending on the CUPS version detection
    code to enable CUPS 1.2 enhancements and disable the CUPS PPD files.
  * Build-depend on libusb-1.0-0-dev for the new CUPS backend for dye
    sublimation printers on USB
  * Install new USB printer blacklist file for the CUPS USB backend (for dye
    sublimation printers using Gutenprint's own backend)
  * Add upstream patch to fix the gutenprint52+usb CUPS backend crashing on
    failure of USB access via libusb (LP: #1297326)
  * Set gutenprint52+usb CUPS backend to 700 permissions so that CUPS runs it
    as root (LP: #1297326)
  * Build, install and fix the permissions of the usb backend only on
    linux-any as kfreebsd's libusb doesn't have the matching API yet

 -- Didier Raboud <odyx@debian.org>  Thu, 15 May 2014 21:12:31 +0200

gutenprint (5.2.9-2) unstable; urgency=low

  * Team upload

  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add the non-minified jquery 1.7.1 source to debian/missing-sources
  * Let {lib,}gutenprint-doc depend on libjs-jquery and symlink the jquery.js
    to the packaged version
  * Add homepage URL
  * Stop installing .po files in gutenprint-locales (Closes: #650758)

  [ Bart Martens ]
  * Add debian/watch

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Apr 2014 14:16:04 +0200

gutenprint (5.2.9-1) unstable; urgency=low

  * New upstream stable release.
  * Drop patches against 5.2.8-1 to correct library versioning and
    linking, which have been incorporated upstream.

 -- Roger Leigh <rleigh@debian.org>  Mon, 09 Jul 2012 23:16:31 +0100

gutenprint (5.2.8-1) unstable; urgency=low

  * New upstream stable release.
  * debian/README.building: Document git workflow.
  * debian/control:
    - Upgrade Standards-Version to 3.9.3
    - Require debhelper >= 9.
  * debian/rules:
    - Re-enable NLS with --enable-nls.
  * printer-driver-gutenprint no longer installs profile.jpg.
  * Re-enable NLS with --enable-nls.

 -- Roger Leigh <rleigh@debian.org>  Thu, 21 Jun 2012 23:31:35 +0100

gutenprint (5.2.7-5) unstable; urgency=low

  * Apply patch to fix cups-genppd on Linux (and all non-Apple)
    platforms by not using Apple-specific paths for ICC profiles.
    The patch removes all ICC profile information from the
    generated PPDs (Closes: #625925).  Thanks to Julien Cristau
    for the patch.

 -- Roger Leigh <rleigh@debian.org>  Sat, 04 Feb 2012 10:57:44 +0000

gutenprint (5.2.7-4) unstable; urgency=low

  * printer-driver-gutenprint has versioned Conflicts and Replaces
    on cups-driver-gutenprint (Closes: 651507).
  * Remove printer-driver-gutenprint preinst, and remove parts of the
    postinst and postrm; the migration and cleanup tasks were done for
    oldstable upgrades, and are no longer required.
  * printer-driver-gutenprint Description matches the printing team
    template.

 -- Roger Leigh <rleigh@debian.org>  Thu, 29 Dec 2011 12:06:59 +0000

gutenprint (5.2.7-3) unstable; urgency=low

  * Add printer-driver-gutenprint package to replace
    cups-driver-gutenprint.  cups-driver-gutenprint is a
    transitional package.
  * debian/control: Use multiline dependencies.

 -- Roger Leigh <rleigh@debian.org>  Sat, 26 Nov 2011 17:51:58 +0000

gutenprint (5.2.7-2) unstable; urgency=low

  * Set libdir correctly.

 -- Roger Leigh <rleigh@debian.org>  Sat, 23 Jul 2011 20:01:21 +0100

gutenprint (5.2.7-1) unstable; urgency=low

  * New upstream stable release.
  * Upgrade to Standards Version 3.9.2 (no changes).
  * Drop inactive maintainers from Uploaders.
  * Use dh from debhelper for building.
  * Use multiarch paths.

 -- Roger Leigh <rleigh@debian.org>  Sat, 23 Jul 2011 13:03:48 +0100

gutenprint (5.2.6-1) unstable; urgency=low

  * New upstream stable release.
  * Use source format 3.0 (quilt), drop dpatch support.
  * Upgrade to Standards Version 3.9.1 (no changes).
  * Drop unused --with-ijs configure argument.
  * debian/rules install-stamp rule depends on build-stamp
    rather than build (which is phony).

 -- Roger Leigh <rleigh@debian.org>  Sun, 15 Aug 2010 14:15:09 +0100

gutenprint (5.2.5-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control:
    - Update to standards version 3.8.4.
    - Build-Depend on libreadline-dev.
    - Use ${misc:Depends}.

 -- Roger Leigh <rleigh@debian.org>  Thu, 18 Feb 2010 21:32:05 +0000

gutenprint (5.2.4-1) unstable; urgency=low

  [ Roger Leigh ]
  * New upstream stable release.
  * cups-driver-gutenprint: Depend on ghostscript-cups, required for
    Postscript/PDF printing.

 -- Roger Leigh <rleigh@debian.org>  Sun, 02 Aug 2009 11:50:51 +0100

gutenprint (5.2.3-3) unstable; urgency=low

  * debian/control: cups-driver-gutenprint: Depend on cups-client since
    lpadmin and lpstat are used during postinst (Closes: #532880).

 -- Roger Leigh <rleigh@debian.org>  Sat, 13 Jun 2009 10:43:09 +0100

gutenprint (5.2.3-2) unstable; urgency=low

  * debian/rules: Update build and build-stamp dependencies (it doesn't
    matter if debian/control is changed when build is called).  This
    is already taken care of through the autoconfigure-stamp dependency.

 -- Roger Leigh <rleigh@debian.org>  Sat, 21 Feb 2009 12:49:23 +0000

gutenprint (5.2.3-1) experimental; urgency=low

  [ Roger Leigh ]
  * New upstream stable release.
  * debian/control:
    - Use ${source:Version} in place of ${binary:Version} for all
      dependencies except for shared library dependencies in library
      -dev packages.  This relaxes the dependencies so that a specific
      debian revision of a package is not strictly required. Thanks to
      Amaya Rodrigo Sastre.
    - ijsgutenprint no longer depends on obsolete ghostscript packages
      (Closes: #447533).
    - Build-Depend on debhelper v7.
  * debian/cups-driver-gutenprint.postinst: Don't use full path
    when running cups-genppdupdate (fix Lintian warning).
  * debian/rules:
    - update-patch-series: Use xargs -r to cope with null input.
    - Use dh_prep in place of dh_clean -k.
    - Split install into install-arch and install-indep with common
      install-common rule.
    - For binary-arch, use -s in place of -a.

 -- Roger Leigh <rleigh@debian.org>  Sun, 04 Jan 2009 18:19:28 +0000

gutenprint (5.2.2-1) experimental; urgency=low

  [ Roger Leigh ]
  * New upstream stable release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 04 Jan 2009 13:05:13 +0000

gutenprint (5.2.1-2) experimental; urgency=low

  [ Roger Leigh ]
  * debian/compat: Update to debhelper v7 compatibility.
  * debian/control:
    - Add W. van den Akker to Uploaders.
    - ijsgutenprint: Recommend foomatic-db-gutenprint.
    - Update description of GIMP Print plugin.
    - Build-Depend upon quilt instead of dpatch.
  * debian/rules:
    - autoconfigure-stamp: Update configure options to create globalised
      CUPS PPDs, and remove obsolete options.
    - realclean:
      + Remove redundant removal of -stamp files.
      + Save and restore config.sub and config.guess.  Thanks to
        Till Kamppeter.
      + Move copying of new config.sub and config.guess to
        autoconfigure-stamp, or else saving and restoring has no effect.
    - install: Replace use of pwd with $(CURDIR).
    - Use quilt in place of dpatch, and add rule to generate quilt patch
      series from patches branch in git.
    - Create -stamp files in the debian/ directory, so no new files are
      created outside the debian directory.
  * debian/cups-driver-gutenprint.*: Replace use of cupsys with cups.
  * debian/cups-driver-gutenprint.postinst:
    - Automatically upgrade print queues using the obsolete canon and epson
      backends.  Attempt to determine the most appropriate alternative
      backend from the device name.
    - Document USB backend device ID upgrade problems.
  * debian/cups-driver-gutenprint.NEWS: New file.
    - Document automatic upgrade of print queue backends.
    - Document USB backend device ID upgrade problems.
  * debian/patches/10_cups_modeldir.dpatch: Remove.
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Remove.  Not needed,
    and no longer compiled with GIMP >= 2.4.
  * debian/patches/21_gutenprintui_plist_localefix.dpatch: Remove.  Since
    PPD files are no longer generated, we don't need to patch the source
    to use /usr/share/ppd.

 -- Roger Leigh <rleigh@debian.org>  Sat, 01 Nov 2008 18:47:26 +0000

gutenprint (5.2.1-1) experimental; urgency=low

  [ W. van den Akker ]
  * Upgraded to Standards version 3.8.0.
  * debian/*: Update version from 5.1 to 5.2.

  [ Roger Leigh ]
  * New upstream stable release.
  * debian/control.in: Add Vcs-Browser and Vcs-Git fields.
  * debian/control.in: Remove, leaving debian/control.
  * debian/control: Remove unnecessary version information in package
    descriptions.
  * debian/control: Rename cupsys-driver-gutenprint to
    cups-driver-gutenprint (already done in 5.0 branch).
  * debian/control: Remove dependencies prior to Lenny, including
    unneeded versioning and old transitional dependencies.
  * debian/rules: Remove library soname substitution in package names.
  * debian/README.building: Remove old outdated instructions.
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Make executable.

 -- Roger Leigh <rleigh@debian.org>  Thu, 30 Oct 2008 00:27:41 +0000

gutenprint (5.1.98.2-2) experimental; urgency=low

  * debian/cupsys-driver-gutenprint.postinst: Remove version suffix from
    cups-genppdupdate.
  * debian/rules, debian/cupsys-driver-gutenprint.install: Remove
    cups-genppd; this is no longer needed with CUPS 1.2.x
    (Closes: #474994).
  * debian/control: Remove debian revision in Build-Depends package
    versions.

 -- Roger Leigh <rleigh@debian.org>  Sat, 10 May 2008 12:32:39 +0100

gutenprint (5.1.98.2-1) unstable; urgency=low

  * New upstream stable beta release (Closes: #439961, #480113).
  * debian/rules:
    - Remove debian/libgutenprint2.install from GENERATED_FILES, and
      remove the rule to generate it.
    - Rename versioned binaries to 5.1.
    - Remove commands for programs and manpages removed in this release.
  * debian/control.in:
    - Bump version from 5.0 to 5.1.
    - cupsys-driver-gutenprint dependency on older ghostscript versions has
      been restored, to allow migration to testing.
  * debian/cupsys-driver-gutenprint.install:
    - Rename versioned binaries to 5.1.
    - Remove cups-genppdconfig.
  * debian/cupsys-driver-gutenprint.postinst,
    debian/cupsys-driver-gutenprint.postrm,
    debian/cupsys-driver-gutenprint.preinst: Rename versioned binaries to
    5.1.
  * debian/gutenprint-doc.doc-base: Update version, section is now Graphics.
  * debian/ijsgutenprint.install: Rename versioned binaries to 5.1.
  * debian/libgutenprint2.install.in: Rename to
    debian/libgutenprint2.install and hard-code version.
  * debian/libgutenprint-doc.doc-base.developer,
    debian/libgutenprint-doc.doc-base.reference: Section is now
    Programming/C.
  * debian/README.Debian: Bump version from 5.0 to 5.2.
  *

 -- Roger Leigh <rleigh@debian.org>  Fri, 09 May 2008 17:04:37 +0100

gutenprint (5.0.2-2) unstable; urgency=low

  * debian/control:
    - ijsgutenprint only needs to Depend upon ghostscript.  The older
      gs-* variants are no longer needed (Closes: #447533).
  * debian/cupsys-driver-gutenprint.preinst:
    - Remove /etc/cups/command.types if the version is <- 5.0.2-2
      (Closes: #455016).  Thanks to Kumar Appaiah for finding this.
  * debian/patches/21_gutenprintui_plist_localefix.dpatch: Set locale
    to C before executing lpr to get non-localised output.  Patches
    src/gutenprintui/plist.c and src/gutenprintui2/plist.c to fix
    querying of available printers in a non-C locale (Closes: #456281).

 -- Roger Leigh <rleigh@debian.org>  Sun, 06 Jan 2008 00:25:17 +0000

gutenprint (5.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update to Standards-Version 3.7.3.
    - libgutenprintui2-dev is in Section libdevel.
  * debian/compat: Update to version 6.
  * debian/changelog:
    - Provide link to full GFDL licence text, rather than the
      entire licence verbatim.
    - Update copyright dates.

 -- Roger Leigh <rleigh@debian.org>  Fri, 04 Jan 2008 23:14:24 +0000

gutenprint (5.0.1-4) unstable; urgency=low

  * debian/control: Rename gimp-print to gimp-gutenprint.
  * Rename debian/gimp-print.* to debian/gimp-gutenprint.*.
  * debian/gimp-gutenprint.preinst, debian/gimp-gutenprint.postrm: Remove,
    since diversions are no longer used.
  * debian/gimp-gutenprint.install: Install gutenprint plug-in
    (Closes: #439500).

 -- Roger Leigh <rleigh@debian.org>  Thu, 27 Sep 2007 20:03:33 +0100

gutenprint (5.0.1-3) unstable; urgency=low

  * debian/control: Remove libgutenprintui1-1 and libgutenprintui-dev,
  * debian/rules: Disable libgutenprintui when running configure.  Remove
    libgutenprintui1-1 from search path for dh_shlibdeps.
    as well as libgtk1.2-dev build dependency.
  * debian/libgutenprintui1-1.install: Remove.
  * debian/libgutenprintui1-dev.install: Remove.

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Jul 2007 18:46:29 +0100

gutenprint (5.0.1-2) unstable; urgency=low

  * debian/control.in: Use ${binary:Version} and ${source:Version} in
    place of deprecated ${Source-Version} substvar (Closes: #431391).
    Thanks to Vincent Fourmond.
  * debian/rules:
    - Don't ignore clean target errors.
    - Remove duplicate distclean command in the clean target.

 -- Roger Leigh <rleigh@debian.org>  Tue, 03 Jul 2007 23:21:40 +0100

gutenprint (5.0.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control.in:
    - Remove cupsys-driver-gimpprint (cupsys-driver-gutenprint now
      Conflicts and Replaces this transitional package from Etch).
    - Remove foomatic-db-gimp-print (foomatic-db-gutenprint now
      Conflicts and Replaces this transitional package from Etch).
    - Remove ijsgimpprint (ijsgutenprint now Conflicts and Replaces this
      transitional package from Etch).
    - Replace linuxprinting.org with OpenPrinting in package descriptions
      (merge from Ubuntu).
  * debian/cupsys-driver-gutenprint.install: Move /etc/cups/command.types
    to /usr/share/cups/mime.
  * debian/cupsys-driver-gutenprint.preinst:
    - If upgrading from a version less than or equal to 5.0.0-2, remove
      /usr/share/cups/model/gutenprint/5.0.
    - If upgrading from a version less than or equal to 5.0.1-1, remove
      /usr/share/ppd/gutenprint/5.0.
  * debian/cupsys-driver-gutenprint.postinst:
    - Don't call cups-genppdconfig.5.0 now that PPD files are generated on
      the fly.
    - cups-genppdupdate.5.0 no longer needs any arguments.
  * debian/cupsys-driver-gutenprint.postrm:
    - No longer remove PPD files on purge, since PPD files are no longer provided.
  * debian/patches/10_cups_modeldir.dpatch: Patch from Ubuntu.  Fix up PPD
    directory location.  (Not actually used yet--the patch needs some
    work.)
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Patch from Ubuntu.
    Place the Print option in a better position in the GIMP File menu.

 -- Roger Leigh <rleigh@debian.org>  Sun, 24 Jun 2007 23:22:03 +0100

gutenprint (5.0.0-3) unstable; urgency=low

  * cupsys-driver-gutenprint: Move PPD files from
    /usr/share/cups/model/gutenprint/5.0 to /usr/share/ppd/gutenprint/5.0, to
    comply with the Debian PPD File Structure Specification
    (http://wiki.debian.org/PpdFileStructureSpecification).  The postinst and
    postrm scripts have been updated to remove the old PPDs, generate new PPDs
    in the new location, and to upgrade PPDs using the new location.
    Closes: #396642.
  * debian/control: cupsys-driver-gutenprint Depends upon cupsys or cups >=
    1.2.5, so CUPS is guaranteed to find the PPDs in the new location.

 -- Roger Leigh <rleigh@debian.org>  Thu,  2 Nov 2006 22:42:04 +0000

gutenprint (5.0.0-2) unstable; urgency=low

  * debian/control.in: cupsys-driver-gutenprint does not recommend
    gnome-gv | postscript-viewer (Closes: #384232).  It is doubtful this
    was of any useful value.  Thanks to Christian Hammers.

 -- Roger Leigh <rleigh@debian.org>  Tue, 22 Aug 2006 23:00:04 +0100

gutenprint (5.0.0-1) unstable; urgency=low

  * New upstream stable release.
  * debian/compat: Switch to debhelper compatibility level 5.
  * debian/control.in:
    - Replace "beta" with "stable" in package descriptions.
    - Add gutenprint-doc package now that GFDL licensed material with no
      invariant sections is allowed in main.
    - Build-Depend on debhelper >= 5.0.0.
  * debian/copyright: Include full GFDL text.
  * debian/rules:
    - Update upstream version; compute from changelog revision number.
    - Don't compress .pdf and .odt files.
  * debian/gutenprint-doc.doc-base.in: Use new PDF manual rather than old
    (removed) HTML user's guide.
  * debian/gutenprint-doc.install: Install new PDF manual (and ODT source)
    instead of old (removed) HTML user's guide.
  * debian/patches: Drop patches applied upstream:
    - 05_genppdconfig_remove_perlmenu.dpatch
    - 06_genppdupdate_egrep_stdin_freeze.dpatch
    - 07_print_ps_imageable_area_rounding.dpatch
    - 08_escputil_raw_device_open.dpatch
  * configure.ac: Teach PACKAGE_DATA_DIR about $datarootdir.
  * doc/Makefile.am: install-data-local: Install files from $(srcdir), to
    fix VPATH build.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 Aug 2006 18:31:14 +0100

gutenprint (4.3.99+cvs20060521-4) unstable; urgency=low

  * src/escputil/escputil.c: When a raw device cannot be opened, display
    a more informative error message.  Patch installed as
    debian/patches/08_escputil_raw_device_open.dpatch (Closes: #352106).

 -- Roger Leigh <rleigh@debian.org>  Tue,  6 Jun 2006 21:06:56 +0100

gutenprint (4.3.99+cvs20060521-3) unstable; urgency=low

  * src/main/print-ps.c: Round ImageableArea dimensions towards the centre
    of the page, and preserve locales recursively.  Patch installed as
    debian/07_print_ps_imageable_area_rounding.dpatch (Closes: #329027).

 -- Roger Leigh <rleigh@debian.org>  Mon,  5 Jun 2006 10:43:30 +0100

gutenprint (4.3.99+cvs20060521-2) unstable; urgency=low

  * debian/rules: Unconditionally set DIALOG when running configure.
  * src/cups/cups-genppdupdate.in: Don't freeze waiting on stdin when
    running egrep.  Patch installed as
    debian/patches/06_genppdupdate_egrep_stdin_freeze.dpatch; thanks to
    Felix C. Stegerman for identifying the fault and providing the patch
    (Closes: #368446).

 -- Roger Leigh <rleigh@debian.org>  Mon, 22 May 2006 19:21:50 +0100

gutenprint (4.3.99+cvs20060521-1) unstable; urgency=low

  * New upstream release candidate.
  * doc/Makefile.am, doc/Makefile.in: Drop patches from the .diff.gz which
    have been dropped upstream.
  * debian/cupsys-driver-gutenprint.docs, debian/gimp-print.docs,
    debian/ijsgutenprint.docs: Drop doc/gutenprint-options, which is no
    longer present.
  * debian/libgutenprint-doc.doc-base.developer: Use book1.html, rather
    than index.html, which is no longer present in the upstream release
    (Closes: #367412).
  * debian/control:
    - Update to Standards-Version 3.7.2.
    - escputil: Recommend cupsys-bsd|lprng|lpr to advise that an lpr
      command is available (Closes: #352102).
  * debian/copyright: Update with current CVS repository location
    (Closes: #361120).

 -- Roger Leigh <rleigh@debian.org>  Sun, 21 May 2006 12:40:54 +0100

gutenprint (4.3.99+cvs20060121.dfsg.1-1) unstable; urgency=low

  * New upstream release candidate (5.0.0-rc2).
  * The many options provided by Gutenprint are now documented, and this
    documentation (gutenprint-options) is now provided for the
    cupsys-driver-gutenprint, ijsgimpprint and gimp-print packages in their
    documentation directories (Closes: #323172).
  * Revert accidental conversion to a debian-native source package in the last
    release.
  * debian/cupsys-driver-gimpprint.postinst,
    debian/cupsys-driver-gimpprint.postrm: Use invoke-rc.d when reloading
    cupsys, and don't fail if cupsys fails to reload.  Patches pulled from
    the Ubuntu patch repository for gimp-print.

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Jan 2006 14:21:19 +0000

gutenprint (4.3.99+cvs20051122.dfsg.1-2) unstable; urgency=low

  * debian/control.in: Remove xlibs-dev from Build-Depends, in
    anticipation of its removal from unstable.

 -- Roger Leigh <rleigh@debian.org>  Fri, 16 Dec 2005 10:53:04 +0000

gutenprint (4.3.99+cvs20051122.dfsg.1-1) unstable; urgency=low

  * New upstream CVS snapshot (Closes: #340155).
  * The GFDL licensed user's guide has been removed from the
    upstream tarball to create a DFSG-free .orig.tar.gz.
  * Several Epson Stylus Photo printers have been retuned since the
    last version (Closes: #335789).
  * The Epson Stylus C88 is now supported (Closes: #338961).
  * debian/control.in:
    - Improve the ijsgutenprint package description (Closes: #337845).
    - Remove 'Suggests: gutenprint-doc (>= ${Source-Version})' from
      gimp-print and cupsys-driver-gutenprint.
    - Remove the gutenprint-doc package, which was GFDL licensed.
      The control data is kept in debian/control.gfdl.
  * debian/rules: Update UPSTREAM_VERSION to 5.0.0-rc2.
  * debian/copyright: Remove the GFDL manual paragraph, and document
    its removal due to DFSG incompatibility.

 -- Roger Leigh <rleigh@debian.org>  Tue, 22 Nov 2005 15:44:02 +0000

gutenprint (4.3.99+cvs20050901-1) unstable; urgency=low

  * New upstream release candidate.
  * Drop patches which have been incorporated upstream:
    - 01_cups_genppdupdate_filename_metacharacters.dpatch
    - 02_escp2_r800_papers.dpatch
    - 03_escp2_colour_adjust_segfault.dpatch
    - 04_print_settings_corruption.dpatch
  * debian/control:
    - cupsys-driver-gutenprint: Drop libperlmenu-perl dependency.
    - gimp-print: Add an "Enhances: gimp" to reinforce the fact this is a
      useful part of gimp (Closes: #322066).  This does not entirely fix the
      upgrade issues, but without a strict dependency in gimp (which the
      author does not want), this is the best that can be done.
  * src/cups/cups-genppdconfig.in: Remove support for perlmenu in favour
    of dialog(1).  This prevents a number of warnings on startup, and also
    removes a lot of dead code (Closes: #323450).  Applied as
    05_genppdconfig_remove_perlmenu.dpatch.

 -- Roger Leigh <rleigh@debian.org>  Sat,  3 Sep 2005 20:46:06 +0100

gutenprint (4.3.99+cvs20050813-2) unstable; urgency=low

  * src/main/print-canon.c: Change "Plain PIXMA" paper name to
    "PlainPIXMA" in order to avoid illegal whitespace in
    generated PPD files (Closes: #322397).

 -- Roger Leigh <rleigh@debian.org>  Wed, 31 Aug 2005 21:16:10 +0100

gutenprint (4.3.99+cvs20050813-1) unstable; urgency=low

  * New upstream release candidate.
  * src/cups/cups-genppdconfig.in: drop Locale::gettext patch,
    which is now incorporated upstream.
  * debian/control.in, debian/rules: Use dpatch.
  * Added cups-genppdupdate patch as
    01_cups_genppdupdate_filename_metacharacters.dpatch
  * Don't segfault when using certain paper types with an Epson R800.
    Applied patch from Dan Torop as 02_escp2_r800_papers.dpatch
    and 03_escp2_colour_adjust_segfault.dpatch (Closes: #321603).
  * Don't corrupt print settings under certain conditions, due to
    using uninitialised global variables.  Applied patch from upstream
    based on a patch contributed by Dan Torop as
    04_print_settings_corruption.dpatch (Closes: #321599).
  * debian/debian/cupsys-driver-gutenprint.postinst: Remove bashisms.

 -- Roger Leigh <rleigh@debian.org>  Sun, 14 Aug 2005 22:20:52 +0100

gutenprint (4.3.99+cvs20050801-1) unstable; urgency=low

  * New upstream release candidate.
  * src/cups/cups-genppdconfig.in: Remove "use Locale::gettext" to
    drop missing dependency on liblocale-gettext-perl
    (Closes: #320745).

 -- Roger Leigh <rleigh@debian.org>  Tue,  2 Aug 2005 21:06:08 +0100

gutenprint (4.3.99+cvs20050715-4) unstable; urgency=low

  * debian/rules: Correct the names of the ijsgutenprint
    symlinks.

 -- Roger Leigh <rleigh@debian.org>  Thu, 28 Jul 2005 23:19:35 +0100

gutenprint (4.3.99+cvs20050715-3) unstable; urgency=low

  * src/cups/cups-genppdupdate.in: Apply patch to handle shell
    metacharacters in PPD filenames, to fix a regression from
    cupsys-driver-gimpprint (Closes: #319109).
  * debian/control.in: Add foomatic-db-gimp-print as a
    transitional package to ease upgrades.
  * debian/rules: ijsgutenprint symlinks should not be relative
    to the build directory (Closes: #319416).

 -- Roger Leigh <rleigh@debian.org>  Thu, 28 Jul 2005 21:14:31 +0100

gutenprint (4.3.99+cvs20050715-2) unstable; urgency=low

  * debian/control.in:
    - ijsgimpprint depends on ijsgutenprint, not
      cupsys-driver-gutenprint (Closes: #318911).
    - ijsgimpprint is in section text, not graphics
      (correction of override disparity).

 -- Roger Leigh <rleigh@debian.org>  Mon, 18 Jul 2005 18:39:47 +0100

gutenprint (4.3.99+cvs20050715-1) unstable; urgency=low

  * New upstream release candidate.
  * debian/control.in: Change Maintainer to Debian Printing Group
    <debian-printing@lists.debian.org>.
  * debian/rules: Don't build translated PPDs.  They may be generated
    after installation by the user.

 -- Roger Leigh <rleigh@debian.org>  Sat, 16 Jul 2005 22:45:28 +0100

gutenprint (4.3.99+cvs20050702-1) experimental; urgency=low

  * New upstream release candidate (Closes: #293890).
  * Renamed package to gutenprint.  The following packages were
    renamed in consequence:
    - cupsys-driver-gimpprint renamed to cupsys-driver-gutenprint
    - foomatic-db-gimp-print renamed to foomatic-db-gutenprint
    - gimpprint-doc renamed to gutenprint-doc
    - gimpprint-locales renamed to gutenprint-locales
    - ijsgimpprint renamed to ijsgutenprint
    - libgimpprint renamed to libgutenprint
    - libgimpprint-dev renamed to libgutenprint-dev
    - libgimpprint-doc renamed to libgutenprint-doc
  * New packages:
    - libgimpprintui1-1 (GTK+ 1.2 UI library)
    - libgimpprintui1-dev (GTK+ 1.2 UI library headers)
    - libgimpprintui2-1 (GTK+ 2.0 UI library)
    - libgimpprintui2-dev (GTK+ 2.0 UI library headers)
  * Upgrade to Standards-Version 3.6.2
  * Build-Depends:
    - replace libreadline4-dev with libreadline5-dev
    - add libcupsimage2-dev
    - remove libtool
  * debian/rules: add LIBRARYUI_VERSION, required to support
    separate sonames for libgutenprint and libgutenprintui*.
  * cupsys-driver-gutenprint:
    - add cups-genppdupdate
    - generates the PPDs in postinst, and removes them in prerm
    - use new versioned CUPS executables
  * libgutenprint: add modules and XML data.
  * libgutenprint-doc:
    - fix documentation installation for new API reference and
      developer's reference.
    - distribute gutenprint.pdf; gutenprint.ps is no longer created.
  * Remove old and outdated manual pages.
  * Provide versioned ijsgutenprint manual page, and unversioned
    symlinks for the binary and manpage.
  * Create a dummy cupsys-driver-gimpprint package to enable
    upgrades from stable.
  * Create a dummy ijsgimpprint package to enable upgrades from stable.
  * Remove symlinks in debian directory.
  * Don't autogenerate files in debian directory for anything but the
    libgutenprintui package.

 -- Roger Leigh <rleigh@debian.org>  Sat,  2 Jul 2005 10:12:46 +0100

gimp-print (4.2.7-10) unstable; urgency=high

  * cupsys-driver-gimpprint: Depend on a perl >= 5.8.0, otherwise
    upgrades from woody may fail due to /usr/bin/cups-genppdupdate
    using features only available in perl 5.8 (Closes: #307286).
  * Build-Depend on libreadline5-dev, rather than the old
    libreadline4-dev.

 -- Roger Leigh <rleigh@debian.org>  Mon,  2 May 2005 14:58:39 +0100

gimp-print (4.2.7-9) unstable; urgency=low

  * debian/cups-genppdupdate: Fix grepping of PPDs to work with PPD
    file names with shell metacharacters in them.  Patch from Martin
    Pitt (Closes: #302434).

 -- Roger Leigh <rleigh@debian.org>  Thu, 31 Mar 2005 22:10:41 +0100

gimp-print (4.2.7-8) unstable; urgency=low

  * cupsys-driver-gimpprint: Depend on cupsys >= 1.1.23 to ensure
    that /etc/init.d/cupsys supports the force-reload option.
    Some older versions of cupsys did not, and this causes
    package configuration to fail when restarting cupsys.
    (Closes: #300966)

 -- Roger Leigh <rleigh@debian.org>  Wed, 23 Mar 2005 18:06:35 +0000

gimp-print (4.2.7-7) unstable; urgency=low

  * debian/control.in:
    - Prefer gs-esp as gs interpreter.  Patch from Colin Watson.
    - Recommend gnome-gv as default postscript-viewer.  Patch
      from Sebastien Bacher.

 -- Roger Leigh <rleigh@debian.org>  Tue, 22 Mar 2005 00:20:09 +0000

gimp-print (4.2.7-6) unstable; urgency=low

  * Allow A4 printing on HP DesignJet printers.  Patch from
    Klaus Singvogel.

 -- Roger Leigh <rleigh@debian.org>  Sat, 19 Mar 2005 09:58:18 +0000

gimp-print (4.2.7-5) unstable; urgency=low

  * Patch src/cups/Makefile.in so that genppd will use the "C"
    locale when generating PPDs, not the locale of the build
    system.  This will prevent wrongly UTF-8 encoded "ISOLatin1"
    PPDs being generated (Closes: #293178).
  * ijsgimpprint: Conditionally depend upon gs-afpl instead of
    gs-aladdin, which it replaces (Closes: #293384).

 -- Roger Leigh <rleigh@debian.org>  Wed,  2 Feb 2005 21:45:16 +0000

gimp-print (4.2.7-4) unstable; urgency=low

  * cupsys-driver-gimpprint: Use "force-reload" rather than
    "reload" in postinst and postrm (Closes: #274820).  Reported
    by Martin Pitt.
  * Applied GNU/k*BSD patch from Robert Millan (Closes: #263763).

 -- Roger Leigh <rleigh@debian.org>  Tue,  5 Oct 2004 19:46:08 +0100

gimp-print (4.2.7-3) unstable; urgency=low

  * foomatic-db-gimp-print: ensure all files are UTF-8 encoded
    by building the package in a UTF-8 locale (en_GB.UTF-8).
    Thanks to Chris Lawrence for finding this problem.

 -- Roger Leigh <rleigh@debian.org>  Tue, 21 Sep 2004 21:37:38 +0100

gimp-print (4.2.7-2) unstable; urgency=medium

  * Medium urgency to facilitate the libtiff transition.
  * cupsys-driver-gimpprint:
      - Link explicitly with -lcupsimage, rather than
        `cups-config --image --libs`.  This prevents unnecessary
        libpng, libjpeg and libtiff dependencies.  The cups-config
        logic in configure is overridden.  Thanks to Steve Langasek
        for this patch (Closes: #262852).
      - Backport some PPD generation logic from current Gimp-Print
        CVS, and use the new PPD keywords in cups-genppdupdate.
        The PPD PCFileName keyword was made compliant with the PPD
        standard with version 4.2.6 (read: crippled to an 8.3 DOS
        filename) which broke the upgrade script since the full PPD
        name could no longer be encoded.  The new Gimp-Print specific
        keywords *StpDriverName, *StpPPDLocation and *StpLocale have
        been added to the PPDs, and this information is now used to
        correctly upgrade PPDs (Closes: #260072).
  * debian/rules: Don't enable maintainer-mode when running
    configure.

 -- Roger Leigh <rleigh@debian.org>  Tue,  3 Aug 2004 19:23:19 +0100

gimp-print (4.2.7-1) unstable; urgency=low

  * New upstream stable release.
  * Dropped patches for:
      - missing strdup prototype in AM_PATH_GIMPPRINT (#233971).
      - fixing garbage output when files generated with psnup are
        printed (#175970).
      - correct margin definitions for Epson Stylus C63, C64, C83
        and C84.
    All of these patches have been incorporated into the new
    release.
  * Update to Standards-Version 3.6.1.
  * cupsys-driver-gimpprint: update Recommends to depend upon the
    current gs package names, and put the virtual package
    postscript-viewer as the last alternative, rather than the
    first.
  * cupsys-driver-gimpprint: patched src/cups/Makefile.am to
    disable linking rastertoprinter with a static libgimpprint.

 -- Roger Leigh <rleigh@debian.org>  Sat, 17 Jul 2004 17:38:35 +0100

gimp-print (4.2.6-7) unstable; urgency=high

  * Reupload with high urgency to shorten libcupsys2-gnutls10
    transition waiting time.

 -- Roger Leigh <rleigh@debian.org>  Fri,  9 Jul 2004 11:56:34 +0100

gimp-print (4.2.6-6) unstable; urgency=low

  * cupsys-driver-gimpprint-data depends on cupsys-driver-gimpprint.

 -- Roger Leigh <rleigh@debian.org>  Wed,  7 Jul 2004 13:26:51 +0100

gimp-print (4.2.6-5) unstable; urgency=medium

  * NMU.
  * Rebuild against libcupsys2-gnutls10.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 27 May 2004 16:39:55 +0000

gimp-print (4.2.6-4) unstable; urgency=low

  * Split architecture-independent data in cupsys-driver-gimpprint
    into a separate arch-all cupsys-driver-gimpprint-data package
    which cupsys-driver-gimpprint depends upon (Closes: #233338).
  * Add missing strdup prototype in AM_PATH_GIMPPRINT in
    gimpprint.m4.  This prevents configure scripts using this macro
    from segfaulting on ia64 (Closes: #233971).
  * Correct margin definitions for Epson Stylus C63, C64, C83 and
    C84.  This is a temporary fix until the margins have been
    correctly computed.
  * Build-Depend upon libijs-dev (>= 0.35-1) to ensure that
    ijsgimpprint is built against the current libijs
    (Closes: #237561).

 -- Roger Leigh <rleigh@debian.org>  Fri, 12 Mar 2004 20:32:51 +0000

gimp-print (4.2.6-3) unstable; urgency=low

  * Rebuild against new Foomatic packages.  This should hopefully
    fix autobuilding problems with older Foomatic releases (which
    wouldn't autoconfigure on the buildd).

 -- Roger Leigh <rleigh@debian.org>  Mon,  1 Mar 2004 13:07:07 +0000

gimp-print (4.2.6-2) unstable; urgency=low

  * Fix garbage output when files generated with psnup are printed.
    The output quality will be degraded, and warnings will be
    logged, since the job options have been broken.  This is
    because psnup generates non-ADSC compliant PostScript which
    makes pstops output incorrect job options.  Patch from
    Martin Kögler (Closes: #175970).

 -- Roger Leigh <rleigh@debian.org>  Tue, 10 Feb 2004 19:39:17 +0000

gimp-print (4.2.6-1) unstable; urgency=low

  * New upstream stable release.
  * cupsys-driver-gimpprint: cups-genppdupdate should escape
    metacharacters in queue names.  quotemeta fix from David
    Beaumont (Closes: #223081).
  * A locale issue which resulted in buggy PostScript output
    with some locales has been fixed (Closes: #221662).
  * CUPS PPD files moved from /usr/share/cups/model/gimp-print
    to /usr/share/cups/model/gimp-print/4.2.  This is the
    5.0 naming scheme, and will allow 4.2 and 5.0 to
    coexist.  cups-genppdupdate uses the new scheme.

 -- Roger Leigh <rleigh@debian.org>  Tue, 13 Jan 2004 23:42:02 +0000

gimp-print (4.2.5-6) unstable; urgency=low

  * Change Recommends on gimpprint-locales to Suggests (Closes: #212302).
  * cupsys-driver-gimpprint postrm should not reload cupsys if it
    has already been removed (Closes: #217295).

 -- Roger Leigh <rleigh@debian.org>  Sun, 26 Oct 2003 23:10:31 +0000

gimp-print (4.2.5-5) unstable; urgency=low

  * Clean up package descriptions in debian/control.in.
  * Don't depend on essential package gzip.

 -- Roger Leigh <rleigh@debian.org>  Sun,  7 Sep 2003 23:04:56 +0100

gimp-print (4.2.5-4) unstable; urgency=low

  * Fix the use of an unintialised value in cups-genppdupdate
    (Closes: #193501).
  * cups-genppdupdate no longer prints an error when there are no PPD files
    available (use Perl glob() instead of shell globbing).
  * Update cups-genppdupdate using the latest upstream CVS version.
  * Replace cupsys-driver-gimpprint dependency on libcompress-zlib-perl, with
    a gzip dependency (gunzip replaces Compress::Zlib in cups-genppdupdate).
  * Update for Foomatic 3.0:
      - Update foomatic-db-gimp-print description (sync with foomatic-db).
      - Build-Depend on foomatic-db-engine (foomatic-bin is deprecated).
      - Update foomatic-db-gimp-print dependencies (correctly depend on the
        new foomatic packages and conflict with the old packages).
      - Run configure with --with-foomatic3
  * Include escputil fix from 4.2.6 prerelease to fix intermittent hanging
    reads from printer (Closes: #156228).
  * Audit all manual pages to ensure correct use of hyphens and minus signs,
    required for copy and paste in a unicode locale (Closes: #203930).
  * gimp1.2-print has been removed now the gimp package provides an up-to-date
    version of the Print plugin.
  * Updated debian/copyright to include the GFDL-licensed User's Guide.

 -- Roger Leigh <rleigh@debian.org>  Mon, 25 Aug 2003 19:12:24 +0100

gimp-print (4.2.5-3) unstable; urgency=low

  * Build-Depend on libcupsimage2-dev (Closes: #189093).
  * Remove automake, autoconf, libtool, and bison from
    Build-Depends, since they are not strictly required.
  * Remove docbook-utils, texi2html and imagemagick from Build-Depends,
    since the documentation is pre-generated in the upstream tarball.
  * Change my maintainer email address to <rleigh@debian.org>.
  * Move libgimpprint1-dev to section libdevel.

 -- Roger Leigh <rleigh@debian.org>  Wed, 23 Apr 2003 12:57:58 +0100

gimp-print (4.2.5-2) unstable; urgency=low

  * cupsys-driver-gimpprint: cups-genppdupdate will not die if grep exits with
    a nonzero status (for example, there are no Gimp-Print PPDs in use).
    (Closes: #179137)
  * cupsys-driver-gimpprint: Depend on libcompress-zlib-perl, since dh_perl
    doesn't compute module dependencies.
    (Closes: #179120, #179170, #179171, #179203)

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 31 Jan 2003 23:26:51 +0000

gimp-print (4.2.5-1) unstable; urgency=low

  * New stable release
  * Update for Standards-Version 3.5.7
  * Use debian/build and debian/install instead of debian/gimp-print-build
    and debian/gimp-print-install, respectively.
  * Use dh_install rather than dh_movefiles.  This makes debian/rules
    slightly cleaner, and debian/install is unchanged after install.
  * Create symlinks for HTML manuals, since different versions
    of texi2html and db2html create different names.
  * Make the dependencies sane (remove incorrect dependencies, and correct
    dubious ones).  foomatic-db-gimp-print now depends only upon foomatic-db
    and ijsgimpprint.
  * escputil has been changed to section "utils", and the override changed
    (Closes: #145094).
  * Gimp-Print PPDs are automatically upgraded using a new tool,
    cups-genppdupdate, which will prevent the in-use PPDs mismatching with
    the libgimpprint version in use (Closes: #172116).
  * The Epson stc640 will now print in greyscale and black and white at
    resolutions >= 720 DPI (Closes: #170473).
  * The CUPS epson backend uses non-blocking I/O, and so will not hang with
    some models when no status readback data is sent.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed, 29 Jan 2003 11:37:49 +0000

gimp-print (4.2.4-1) unstable; urgency=low

  * New stable release.
  * foomatic-db-gimp-print: removed "stp" data, to start the transition
    to using ijsgimpprint only.
  * The escputil manual page documents the needed kernel configuration
    options (Closes: #139000).
  * The gimpprint-doc package includes the following manual pages:
      gimpprint-color.7, gimpprint-dithers.7, gimpprint-imagetypes.7
      gimpprint-inktypes.7, gimpprint-mediasizes.7
      gimpprint-mediasources.7, gimpprint-mediatypes.7
      gimpprint-models.7, gimpprint-resolutions.7
    This documents all the features of gimp-print, in particular all of the
    details from src/ghost/README (Closes: #113075).
  * Magenta and cyan are no longer swapped on some Lexmark printers
    (Closes: #166815).

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 26 Nov 2002 20:54:30 +0000

gimp-print (4.2.3-2) unstable; urgency=low

  * Use libtool 1.4.3 instead of the release version, to correctly support
    shared libraries on some architectures.  Closes: #168901
  * escputil is now in section "utils".  Closes: #145094

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 19 Nov 2002 20:55:01 +0000

gimp-print (4.2.3-1) unstable; urgency=low

  * New stable release.
  * Fixed doc-base problems in libgimpprint-doc.  The doc-base file is
    generated with sed to insert the version number, Closes: #149847
  * libgimpprint$(VERSION)-doc provides and conflicts with a virtual
    package libgimpprint-doc to prevent clashes with gimpprint.info
    docs.
  * New package ijsgimpprint.  This provides an IJS server for use
    with ghostscript.
  * Remove the autotools, texi2html, imagemagick and docbook-utils from the
    Build-Depends.
  * Put config.sub and config.guess into scripts/ and clean
    libgimpprint-doc.doc-base
  * I am the new maintainer of gimp-print for Debian.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sun, 20 Oct 2002 22:10:17 +0100

gimp-print (4.2.2-pre2-1) unstable; urgency=low

  * New stable release, Closes: #148737
  * Upgrade to debhelper version 4 (RL)
  * Automate library versioning to work for stable and unstable series.
    LIBRARY_VERSION is the library major version or -UPSTREAM_VERSION (RL)
  * Update configure regeneration to work with configure.ac (RL)
  * libgimpprint$(VERSION)-dev provides and conflicts with a virtual
    package `libgimpprint-dev' (RL)
  * Remove libgimpprint.postinst as ldconfig is called by debhelper (RL)
  * Update package descriptions (RL)

 -- Eric Sharkey <sharkey@debian.org>  Thu,  6 Jun 2002 15:35:28 -0400

gimp-print (4.2.2-pre1-1) unstable; urgency=low

  * New upstream release, Closes: #147404, #139218
  * Move escputil to section utils (RL)
  * Add postscript-viewer virtual package as an alternative to gs Recommends
    for cupsys-driver-gimpprint (RL)
  * Reinitialise cupsys after installation or removal of
    cupsys-driver-gimpprint (RL)
  * Correctly version libgimpprint1 shlibs with -V dh_makeshlibs option
  * Fix libgimpprint.postinst to use 'if' instead of 'case', removing a
    lintian warning. (RL)
  * Split out the message catalogues from the libgimpprint package into
    a new gimpprint-locales package to avoid filename conflicts when
    multiple libgimpprint versions are installed concurrently. (RL)
  * Add libgimpprint-doc.doc-base (existed for six months, but was never
    added to CVS!) (RL)
  * New package foomatic-db-gimpprint.  Contains foomatic data (RL)

 -- Eric Sharkey <sharkey@debian.org>  Sat, 25 May 2002 14:20:17 -0400

gimp-print (4.2.0-4) unstable; urgency=low

  * Apply Roger's user's guide Makefile.am patch, Closes: #128421
  * Work around bug #130756 by building docs with EPS1 figures.

 -- Eric Sharkey <sharkey@debian.org>  Sat, 16 Feb 2002 22:46:29 -0500

gimp-print (4.2.0-3) unstable; urgency=low

  * Fix locales package description, Closes: #123796
  * Change conflicts to replaces, Closes: #123811

 -- Eric Sharkey <sharkey@debian.org>  Mon, 31 Dec 2001 12:02:42 -0500

gimp-print (4.2.0-2) unstable; urgency=low

  * Fix build dependencies, Closes: #121597
  * Fix broken gimpprint-doc.doc-base pointing to old index filename
  * Fix libgimpprint.postinst to use 'if' instead of 'case', removing a
    lintian warning. (Roger Leigh)
  * Split out the message catalogues from the libgimpprint package into
    a new gimpprint-locales package to avoid filename conflicts when
    multiple libgimpprint versions are installed concurrently. (RL)
  * Add libgimpprint-doc.doc-base (existed for six months, but was never
    added to CVS!) (RL)

 -- Eric Sharkey <sharkey@debian.org>  Sun,  9 Dec 2001 09:47:05 -0500

gimp-print (4.2.0-1) unstable; urgency=low

  * New upstream release
  * cupsys-driver-gimpprint only includes the basic `C' POSIX locale
    ppd files due to the size of the ppd files (Roger Leigh)
  * New package gimpprint-doc contains the new user guide. (RL)
  * Enable i18n (RL)
  * Add Build-Depends for gettext (>= 0.10.36-1), because
    'make install' fails with earlier versions due to absent
    DESTDIR support. (RL)
  * libgimpprint-doc uses ps instead of dvi manual, due to inclusion
    of graphics (RL)
  * gimp1.2-print no longer registers documentation with doc-base, as
    the manual is provided in libgimpprint-doc (RL)
  * Disable building of translated PPD files (RL)

 -- Eric Sharkey <sharkey@debian.org>  Sun, 25 Nov 2001 22:20:33 -0500

gimp-print (4.1.99-b1-1) unstable; urgency=low

  * New upstream release, Closes: #110066
  * Remove README.dither from libgimpprint-dev.docs (Roger Leigh)
  * Add image samples to gimp1.2-print and cupsys-driver-gimpprint (RL)
  * Change rules and control to use ABI library versioning (RL)
  * Changed library version names to reflect upstream library
    versioning change to ABI versioning. (RL)

 -- Eric Sharkey <sharkey@debian.org>  Mon, 23 Jul 2001 10:49:04 -0400

gimp-print (4.1.99-a2-1) unstable; urgency=low

  * New upstream release

 -- Eric Sharkey <sharkey@debian.org>  Mon, 23 Jul 2001 10:49:04 -0400

gimp-print (4.1.99-a1-1) unstable; urgency=low

  * New upstream release  (first 4.2 pre-release)

 -- Eric Sharkey <sharkey@debian.org>  Tue, 10 Jul 2001 16:19:03 -0400

gimp-print (4.1.10-1) unstable; urgency=low

  * New upstream release  (4.1.8 and 4.1.9 were buggy)

 -- Eric Sharkey <sharkey@debian.org>  Fri, 29 Jun 2001 23:08:27 -0400

gimp-print (4.1.7-1) unstable; urgency=low

  * New package libgimpprint-doc for Info and dvi docs. (Roger Leigh)
  * Change debian/rules to use separate binary-arch and binary-indep
    targets (Roger Leigh)
  * New upstream release

 -- Eric Sharkey <sharkey@debian.org>  Wed,  9 May 2001 12:19:43 -0400

gimp-print (4.1.6-2) unstable; urgency=low

  * Fix build dependencies to include flex, Closes: #96401

 -- Eric Sharkey <sharkey@debian.org>  Tue,  8 May 2001 20:09:30 -0400

gimp-print (4.1.6-1) unstable; urgency=low

  * New upstream release

 -- Eric Sharkey <sharkey@debian.org>  Mon, 30 Apr 2001 13:45:56 -0400

gimp-print (4.1.5-2.01) unstable; urgency=low

  * Recompile 4.1.5-2 with updated debhelper to fix dependencies
  * Closes: #90741

 -- Eric Sharkey <sharkey@debian.org>  Fri,  6 Apr 2001 21:11:15 -0400

gimp-print (4.1.5-2) unstable; urgency=low

  * Clean up build process so that things work even if some scripts
    don't have execute permissions, complicate things a bit by using
    funky building script, Closes: #89283, I hope...

 -- Eric Sharkey <sharkey@debian.org>  Thu, 15 Mar 2001 21:54:52 -0500

gimp-print (4.1.5-1) unstable; urgency=low

  * New upstream release
  * First Official version uploaded to Debian
  * Close ITP bug for wnpp, Closes: #85563

 -- Eric Sharkey <sharkey@debian.org>  Fri,  2 Mar 2001 19:59:11 -0500

gimp-print (4.1.4-2) unstable; urgency=low

  * Repackage gimp-print after forking the Debian branch from 4.1.4
  * Add version numbers to the libgimpprint package name
  * Move documentation files from libgimpprint to libgimpprint-dev

 -- Eric Sharkey <sharkey@debian.org>  Tue, 27 Feb 2001 11:22:18 -0500

gimp-print (4.1.4-1) unstable; urgency=low

  * New upstream release
  * Debian package rewritten from scratch.
  * Added diversion of the print plugin that is part of the GIMP
    package to /usr/lib/gimp/1.2/print
  * Fixed shared library dependencies for programs linked with
    libgimpprint
  * Added /etc/cups/command.types as a conffile for package cupsys-
    driver-gimpprint
  * Added gimp1.2-print html and sgml docs to doc-base
  * Remove /etc/cups in postrm for cupsys-driver-gimprint (but
    won't if not empty)
  * Added versioned debhelper Build-Depends

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 16 Feb 2001 00:16:10 +0000

gimp-print (4.0.2-1) unstable; urgency=low

  * Debian packages of the latest GP

 -- Eric Sharkey <sharkey@superk.physics.sunysb.edu>  Sun, 12 Nov 2000 04:46:54 +0900

gimp-print (3.1.4-1) unstable; urgency=low

  * Debianised gimp-print built from gimp-print CVS at sourceforge.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed, 24 May 2000 00:39:54 +0100
